<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LineItem StructType
 * @subpackage Structs
 */
class LineItem extends PWFinanceObject
{
    /**
     * The cr
     * @var float
     */
    public $cr;
    /**
     * The dr
     * @var float
     */
    public $dr;
    /**
     * Constructor method for LineItem
     * @uses LineItem::setCr()
     * @uses LineItem::setDr()
     * @param float $cr
     * @param float $dr
     */
    public function __construct($cr = null, $dr = null)
    {
        $this
            ->setCr($cr)
            ->setDr($dr);
    }
    /**
     * Get cr value
     * @return float|null
     */
    public function getCr()
    {
        return $this->cr;
    }
    /**
     * Set cr value
     * @param float $cr
     * @return \StructType\LineItem
     */
    public function setCr($cr = null)
    {
        // validation for constraint: float
        if (!is_null($cr) && !(is_float($cr) || is_numeric($cr))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($cr, true), gettype($cr)), __LINE__);
        }
        $this->cr = $cr;
        return $this;
    }
    /**
     * Get dr value
     * @return float|null
     */
    public function getDr()
    {
        return $this->dr;
    }
    /**
     * Set dr value
     * @param float $dr
     * @return \StructType\LineItem
     */
    public function setDr($dr = null)
    {
        // validation for constraint: float
        if (!is_null($dr) && !(is_float($dr) || is_numeric($dr))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($dr, true), gettype($dr)), __LINE__);
        }
        $this->dr = $dr;
        return $this;
    }
}
