<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OwnerContributionsSearchCriteria StructType
 * @subpackage Structs
 */
class OwnerContributionsSearchCriteria extends AuditableDTOSearchCriteria
{
    /**
     * The portfolioId
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var int
     */
    public $portfolioId;
    /**
     * Constructor method for OwnerContributionsSearchCriteria
     * @uses OwnerContributionsSearchCriteria::setPortfolioId()
     * @param int $portfolioId
     */
    public function __construct($portfolioId = null)
    {
        $this
            ->setPortfolioId($portfolioId);
    }
    /**
     * Get portfolioId value
     * @return int|null
     */
    public function getPortfolioId()
    {
        return $this->portfolioId;
    }
    /**
     * Set portfolioId value
     * @param int $portfolioId
     * @return \StructType\OwnerContributionsSearchCriteria
     */
    public function setPortfolioId($portfolioId = null)
    {
        // validation for constraint: int
        if (!is_null($portfolioId) && !(is_int($portfolioId) || ctype_digit($portfolioId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($portfolioId, true), gettype($portfolioId)), __LINE__);
        }
        $this->portfolioId = $portfolioId;
        return $this;
    }
}
